Summary:	Gourmet Recipe Manager is a simple but powerful recipe-managing application
Summary(hu.UTF-8):	Gourmet Recipe Manager egy egyszerű, de hatékony recept-nyilvántartó alkalmazás
Name:		gourmet
Version:	0.15.9
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/grecipe-manager/%{name}-%{version}.tar.gz
# Source0-md5:	7bef5569fb4523747973d83ab69a9a79
URL:		http://grecipe-manager.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	python-PIL-devel
BuildRequires:	python-ReportLab
BuildRequires:	python-gnome-desktop-print
BuildRequires:	python-pygtk-devel
BuildRequires:	python-sqlite
BuildRequires:	rpm-pythonprov
Requires:	python-%{name} = %{version}-%{release}
Requires:	python-sqlite
Suggests:	python-gnome-extras-gtkspell
#Suggests:	python-poppler
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gourmet Recipe Manager is a simple but powerful recipe-managing
application. Gourmet allows you to collect, search and organize your
recipes, and to automatically generate shopping lists from your
collection.

%description -l hu.UTF-8
Gourmet Recipe Manager egy egyszerű, de hatékony recept-nyilvántartó
alkalmazás. A Gourmet-tal össze tudod gyűjteni, keresni és
rendszerezni a receptjeidet és automatikusan elkészíteni a
bevásárlólistát a gyűjteményed alapján.

%package -n python-%{name}
Summary:	Gourmet Python modules
Summary(hu.UTF-8):	Gourmet Python modulok
Summary(pl.UTF-8):	Moduły Pythona Gourmet
Group:		Development/Languages/Python
Requires:	python-ReportLab
Requires:	python-sqlalchemy-migrate
%pyrequires_eq	python-modules

%description -n python-%{name}
This package provides Gourmet Recipe Manager Python modules.

%description -n python-%{name} -l hu.UTF-8
Ez a csomag tartalmazza a Gourmet Recipe Manager Python moduljait.

%description -n python-%{name} -l pl.UTF-8
Moduły Pythona z Gourmet Recipe Manager.

%prep
%setup -q

%build
cd i18n
mv nl_NL.po nl.po
mv pt_PT.po pt.po
mv zh.po zh_CN.po
rm de.po
rm sv.po
rm sv_SE.po
for file in *.po; do
	lang=$(echo $file | cut -f 1 -d .)
	mkdir -p $lang/LC_MESSAGES
	msgfmt -o $lang/LC_MESSAGES/gourmet.mo $file
done
cd ..
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

mv $RPM_BUILD_ROOT%{_localedir}/{sv_SE,sv}
mv $RPM_BUILD_ROOT%{_localedir}/{de_DE,de}

# what is the other Spanish?
rm -r $RPM_BUILD_ROOT%{_localedir}/es_ES
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO
%attr(755,root,root) %{_bindir}/gourmet
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/recbox.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}-%{version}*.egg-info
%changelog
* Fri May 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gourmet.git;a=log;h=master

* Fri May 06 2016 Jan Rękorajski <baggins@pld-linux.org> 31b71e6
- use rpm python macros
- rel 4

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6e558a9
- release 3 (by relup.sh)

* Sat Apr 16 2011 Zsolt Udvari <uzsolt@pld-linux.org> fa48a21
- 0.15.9 (rel2, because of my test builds)
- solved language todo (create mo-files with msgfmt)

* Sun Jan 30 2011 Zsolt Udvari <uzsolt@pld-linux.org> cdfb860
- 0.15.7

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> fb87b6c
- BR: rpm-pythonprov

* Tue Nov 02 2010 Zsolt Udvari <uzsolt@pld-linux.org> 27bab0b
- python-sqlite requires
- python-gourmet hungarizing and correct a typo

* Thu Oct 21 2010 Zsolt Udvari <uzsolt@pld-linux.org> 4808f5b
- 0.15.6

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8403b61
- release 2

* Tue Jun 22 2010 Zsolt Udvari <uzsolt@pld-linux.org> 5f9a5ee
- 0.15.4

* Thu Apr 08 2010 Jacek Konieczny <jajcus@pld-linux.org> 5188e1e
- BuildArch: noarch
- BR: intltool

* Thu Apr 08 2010 Jacek Konieczny <jajcus@pld-linux.org> 5be3228
- adapterized

* Thu Apr 08 2010 Jacek Konieczny <jajcus@pld-linux.org> 9b32baa
- do not packages /usr/share/locale/* directories! use %find_lang instead.
- unsuported locales renamed (de_DE, sv_SE) or removed (es_ES)
- python modules and *.egg-info moved to python-%{name}
- packages compiled modules only (it seems the gourmet plugin loader has no
  problem with this)
- Suggests added for python packages needed by some gourmet plugins
  (python-poppler is not available in PLD right now)
- Release: 2

* Mon Dec 21 2009 Zsolt Udvari <uzsolt@pld-linux.org> 2dbb6a5
- 0.15.3

* Sat Jul 18 2009 Zsolt Udvari <uzsolt@pld-linux.org> 3dafe07
- python-sqlalchemy-migrate R

* Sat Jul 18 2009 Zsolt Udvari <uzsolt@pld-linux.org> 9a5e9f4
- 0.14.4
- python-ReportLab BR

* Sat Dec 13 2008 Zsolt Udvari <uzsolt@pld-linux.org> c50b13e
- up to 0.13.8
- rel 1

* Fri Sep 05 2008 Zsolt Udvari <uzsolt@pld-linux.org> a6a5307
- fix python-ReportLab typo

* Fri Sep 05 2008 Zsolt Udvari <uzsolt@pld-linux.org> 084cd1c
- initial

